<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="js/scripts.js"></script>
</head>
<body>
<h2>1. Описать своими словами для чего вообще нужны функции в программировании.</h2>
<p>Функции - это своего рода блоки, из которых строиться код. Функции нужны для того, чтобы не писать один и тот же код несколько раз, а создать его один раз в функции и вызывать её для решения определенной задачи. Функции помогаю существенно сократить код.</p>
<h2>2. Описать своими словами, зачем в функцию передавать аргумент.</h2>
<p>Функция как копилка, на входе она получает аргументы, а на выходе выдает результат (сумму). Аргументы необходимо передавать в функцию для того, чтобы она произвела необходимую операцию с ними и вернула результат.</p>
</body>
</html>